Performance Records
Alle Operationen rund um Performance Records.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Performance Record | performance_record |
27 | — | performance_record_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/performance_records |
Create performance_record | Create a new performance_record in the active tenant. |
DELETE |
/v1/performance_records/{id} |
Delete performance_record | Soft delete entity. |
GET |
/v1/performance_records/{id} |
Get performance_record by id | Fetch a single performance_record. |
GET |
/v1/performance_records/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/performance_records/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/performance_records/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/performance_records |
List performance_records | List performance_records for the active tenant. |
PATCH |
/v1/performance_records/{id} |
Patch performance_record | JSON Merge Patch update. |
POST |
/v1/performance_records/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/performance_records/{id}/transition |
POST /v1/performance_records/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/performance_records/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/performance_records/{id} |
Replace performance_record | Full replace with optimistic locking. |